# OS_NS_sys_uio.h File Reference

`#include "ace/config-all.h"`
`#include "ace/os_include/sys/os_uio.h"`
`#include "ace/ACE_export.h"`
`#include "ace/OS_NS_sys_uio.inl"`

Include dependency graph for OS_NS_sys_uio.h:

This graph shows which files directly or indirectly include this file:

## Namespaces

namespace | ACE_OS

## Defines

#define | ACE_EXPORT_MACRO ACE_Export
#define | ACE_INLINE inline

## Functions

ACE_NAMESPACE_INLINE_FUNCTION ssize_t | readv (ACE_HANDLE handle, const iovec *iov, int iovlen)
ACE_NAMESPACE_INLINE_FUNCTION ssize_t | writev (ACE_HANDLE handle, const iovec *iov, int iovcnt)

## Detailed Description

Id
  OS_NS_sys_uio.h,v 1.6 2005/10/28 16:14:54 ossama Exp

Author:
  Douglas C. Schmidt <schmidt@cs.wustl.edu>

  Jesper S. M|ller<stophph@diku.dk>

  and a cast of thousands...

Originally in OS.h.

## Define Documentation

#define ACE_EXPORT_MACRO ACE_Export

#define ACE_INLINE inline

## Function Documentation

ACE_BEGIN_VERSIONED_NAMESPACE_DECL ACE_INLINE ssize_t ACE_OS::readv | ( | ACE_HANDLE | handle,
|  | const iovec * | iov,
|  | int | iovlen
| ) |

ACE_INLINE ssize_t ACE_OS::writev | ( | ACE_HANDLE | handle,
|  | const iovec * | iov,
|  | int | iovcnt
| ) |